Pular para o conteúdo principal
PATCH
/
crm
/
v3
/
extensions
/
calling
/
{appId}
/
settings
Update the calling extension settings for a specific app.
curl --request PATCH \
  --url https://api.hubapi.com/crm/v3/extensions/calling/{appId}/settings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "height": 123,
  "isReady": true,
  "name": "<string>",
  "supportsCustomObjects": true,
  "supportsInboundCalling": true,
  "url": "<string>",
  "usesCallingWindow": true,
  "usesRemote": true,
  "width": 123
}
'
{
  "createdAt": "2023-11-07T05:31:56Z",
  "height": 123,
  "isReady": true,
  "name": "<string>",
  "supportsCustomObjects": true,
  "supportsInboundCalling": true,
  "updatedAt": "2023-11-07T05:31:56Z",
  "url": "<string>",
  "usesCallingWindow": true,
  "usesRemote": true,
  "width": 123
}

Supported products

Autorizações

Authorization
string
header
obrigatório

The access token received from the authorization server in the OAuth 2.0 flow.

Parâmetros de caminho

appId
integer<int32>
obrigatório

Corpo

application/json
height
integer<int32>

The height setting for the calling extension interface.

isReady
boolean

Specifies whether the calling extension is ready for use.

name
string

The name of the calling extension.

supportsCustomObjects
boolean

Indicates if the calling extension supports custom objects.

supportsInboundCalling
boolean

Indicates if the calling extension supports inbound calling.

url
string

The URL associated with the calling extension settings.

usesCallingWindow
boolean

Indicates if the calling extension uses a calling window.

usesRemote
boolean

Indicates if the calling extension uses a remote connection.

width
integer<int32>

The width setting for the calling extension interface.

Resposta

successful operation

createdAt
string<date-time>
obrigatório

The date and time when the calling extension settings were created.

height
integer<int32>
obrigatório

The height of the calling extension interface.

isReady
boolean
obrigatório

Specifies whether the calling extension settings are ready for use.

name
string
obrigatório

The name of the calling extension.

supportsCustomObjects
boolean
obrigatório

Indicates if the calling extension supports custom objects.

supportsInboundCalling
boolean
obrigatório

Indicates if the calling extension supports inbound calling.

updatedAt
string<date-time>
obrigatório

The date and time when the calling extension settings were last updated.

url
string
obrigatório

The URL associated with the calling extension.

usesCallingWindow
boolean
obrigatório

Specifies if the calling extension uses a dedicated calling window.

usesRemote
boolean
obrigatório

Indicates if the calling extension uses a remote service.

width
integer<int32>
obrigatório

The width of the calling extension interface.

Last modified on April 13, 2026